Description

class Thread {

   // Probably some kind of synchronization is need.

   void   SetName(const String& name) { this->name = name; }

   String GetName() const             { return name; }

   // On starting thread we should use platform depend code that set thread name on system side.

}

POSIX documentation for set name thread function: http://man7.org/linux/man-pages/man3/pthread_setname_np.3.html

How to display thread with names (for example firefox on POSIX):

ps H -C firefox -o 'pid tid cmd comm'

History

#1 - 05/03/2016 05:04 PM - Zbigniew Rebacz

- Description updated

#2 - 05/03/2016 05:06 PM - Zbigniew Rebacz

- Description updated

#3 - 05/03/2016 07:41 PM - Zbigniew Rebacz

- Target version changed from Release 2017.1 - NTH to Release 2017.2 - NTH

#4 - 12/24/2017 06:36 PM - Zbigniew Rebacz

- Target version changed from Release 2017.2 - NTH to Release 2018.1 - NTH

#5 - 04/03/2018 10:00 PM - Zbigniew Rebacz

- Target version changed from Release 2018.1 - NTH to Release 2019.1 - NTH

#6 - 06/24/2019 01:29 AM - Zbigniew Rebacz

- Target version changed from Release 2019.1 - NTH to Release 2019.2 - NTH

#7 - 11/01/2019 11:21 AM - Zbigniew Rebacz

- Target version changed from Release 2019.2 - NTH to Release 2020.1 - NTH

#8 - 05/24/2020 12:48 PM - Zbigniew Rebacz

- Target version changed from Release 2020.1 - NTH to Release 2020.2 - NTH

#9 - 10/21/2020 11:34 PM - Zbigniew Rebacz

- Target version changed from Release 2020.2 - NTH to Release 2021.1 - NTH
